/* I exemplet skapas några funktioner som tar indata via parametrar. */
// --------------------------------------------------
// Globala variabler och konstanter
let input1Elem, input2Elem; // input-elementen
let resElem;                // Element för resultat
const vat = 0.12;			// Momssats
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	input1Elem = document.querySelector("#nr1");
	input2Elem = document.querySelector("#nr2");
	resElem = document.querySelector("#result");
	document.querySelector("#calcBtn").addEventListener("click", calcPrice);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Beräkna pris för frukten
function calcPrice() {
	const apple = Number(input1Elem.value);
	const pear = Number(input2Elem.value);
	resElem.innerHTML = "";

	showImg();

	calcFruitPrice(apple, 25.35, "Äpplen");
	calcFruitPrice(pear, 18.60, "Päron");
	
	let totPrice = apple * 25.35 + pear * 18.60;
	resElem.innerHTML += "<p>Totala summan är " + totPrice + "</p>";
	addVat(totPrice);

	calcFruitPrice(apple + 4, 22.95, "Äpplen ökat med 4kg");
} // Slut calcPrice
// --------------------------------------------------
// Beräkna priset för en frukt och returnera det
function calcFruitPrice(amount, kgPrice, fruit) {
	console.log(amount + ", " + kgPrice + ", " + fruit);
	
	let price = amount * kgPrice;
	resElem.innerHTML += "<p>" + fruit + ": " + price + " kr.</p>";
} // Slut calcFruitPrice
// --------------------------------------------------
// Lägg på moms på priset och skriv ut det
function addVat(price) {
	let priceInclVat = (1 + vat) * price;
	resElem.innerHTML += "<p>Pris inkl. moms är " + priceInclVat + " kr.</p>"
} // Slut addVat
// --------------------------------------------------
// Visa bilden med frukterna
function showImg() {
	let fruitImg = document.querySelector("#fruitImg");
	fruitImg.style.display = "inline";  // Visa bilden
} // Slut showImg
// --------------------------------------------------
